﻿@using WebAppLibrary.Models.DAO;
@model IEnumerable<Country>

@{
    ViewData["Title"] = "Countries";
}

<h1>@ViewData["Title"]</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Id)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Nombre)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CodigoArea)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Iso2)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Id)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Nombre)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CodigoArea)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Iso2)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new {  id=item.Id }) |
                @Html.ActionLink("Details", "Details", new {  id=item.Id }) |
                @Html.ActionLink("Delete", "Delete", new {  id=item.Id })
            </td>
        </tr>
}
    </tbody>
</table>
